## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-executor-plugin-cluster-generic
Version:        1.0.9
Release:        %autorelease
Summary:        Generic cluster executor for Snakemake

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-cluster-generic
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-cluster-generic-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_executor_plugin_cluster_generic

BuildArch:      noarch

# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
A generic Snakemake executor plugin for submission of jobs to cluster systems
that provide a submission command that accepts the path to a job script (like
PBS, LSF, SGE, ...).}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-cluster-generic
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-cluster-generic %{common_description}


%prep
%autosetup -n snakemake-executor-plugin-cluster-generic-%{version}


%check -a
%if %{without bootstrap}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-cluster-generic -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Python Maint <python-maint@redhat.com> - 1.0.9-7
- Rebuilt for Python 3.14

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.9-6
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.9-2
- Rebuilt for Python 3.13

* Mon Mar 11 2024 Packit <hello@packit.dev> - 1.0.9-1
- [packit] 1.0.9 upstream release
- Resolves rhbz#2269080

* Mon Mar 04 2024 Packit <hello@packit.dev> - 1.0.8-1
- [packit] 1.0.8 upstream release
- Resolves rhbz#2267743

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.7-2
- Fix wrong description

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.7-1
- Initial package (close RHBZ#2257526)
## END: Generated by rpmautospec
